Bug 125255 - migrate away from slang1 to slang2
migrate away from slang1 to slang2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Philip M. Gollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-04 11:10 UTC by Dan Lukes
Modified: 2009-02-08 06:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (738 bytes, patch)
2008-07-04 11:10 UTC, Dan Lukes
no flags Details | Diff
devel_libslang2.diff (85.74 KB, patch)
2008-08-18 19:43 UTC, Philip M. Gollucci
no flags Details | Diff
devel_libslang2-postreview.diff (53.88 KB, patch)
2008-08-22 14:09 UTC, pgollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Lukes 2008-07-04 11:10:02 UTC
	The newt unconditionally depends on devel/libslang

	Unfortunatelly, there are several packages that require devel/libslang2
which is mutual exclusive to devel/libslang

Fix: devel/newt can be compiled against either libslang or libslang2

	So, Makefile needs to be updated only to use the already 
installed version (if any) and record apropriate dependence

	The recommended fix has been taken from graphics/libcaca port:
How-To-Repeat: 	Install a package that depend to linslang2
	Try to instala package that depend on newt. It fail.
Comment 1 Edwin Groothuis freebsd_committer 2008-07-04 11:10:10 UTC
Maintainer of devel/newt,

Please note that PR ports/125255 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/125255

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-07-04 11:10:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon freebsd_committer 2008-08-04 02:40:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

Over to maintainer.
Comment 4 Philip M. Gollucci freebsd_committer 2008-08-07 21:50:11 UTC
State Changed
From-To: feedback->open

Working on a patch to obsolete devel/libslang in favor of 
devel/libslang2
Comment 5 Philip M. Gollucci freebsd_committer 2008-08-18 19:40:37 UTC
State Changed
From-To: open->analyzed
Comment 6 Philip M. Gollucci freebsd_committer 2008-08-18 19:43:14 UTC
-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 7 pgollucci 2008-08-22 14:09:45 UTC
After review and tweaks here is the patch
-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 8 Philip M. Gollucci freebsd_committer 2008-08-22 14:10:17 UTC
Responsible Changed
From-To: pgollucci->portmgr

-exp run please
Comment 9 pav freebsd_committer 2008-08-22 14:14:43 UTC
State Changed
From-To: analyzed->open

Queue for exp
Comment 10 pav freebsd_committer 2008-08-29 15:49:30 UTC
Responsible Changed
From-To: portmgr->pgollucci

exprun completed, one failure flagged and forwarded to you in a private mail
Comment 11 dfilter freebsd_committer 2008-10-08 20:34:10 UTC
leeym       2008-10-08 19:33:57 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nettop      Makefile 
  Log:
  - migrate away from slang1 to slang2 (for net-mgmt/nettop only)
  - bump PORTREVISION
  
  PR:             125255
  Submitted by:   pgollucci
  Approved by:    leeym
  
  Revision  Changes    Path
  1.3       +2 -1      ports/net-mgmt/nettop/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter freebsd_committer 2009-02-08 03:14:27 UTC
pgollucci    2009-02-08 03:14:14 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING CHANGES MOVED 
    devel                Makefile 
    irc/slirc/files      patch-slirc.c patch-vfile-module.c 
    audio/timidity++-slang Makefile 
    comms/hf             Makefile 
    devel/gaul           Makefile pkg-plist 
    devel/newt           Makefile 
    devel/ruby-slang     Makefile 
    editors/jed          Makefile 
    editors/lpe          Makefile 
    games/netspades      Makefile 
    irc/slirc            Makefile 
    japanese/asterisk-sound Makefile 
    japanese/jed         Makefile 
    japanese/ruby-slang  Makefile 
    japanese/timidity++-slang Makefile 
    lang/harbour         Makefile 
    math/slsc            Makefile 
    misc/pdmenu          Makefile 
    misc/zaptel          Makefile 
    net/asterisk-addons  Makefile 
    net/asterisk-app-notify Makefile 
    net/asterisk12       Makefile 
    net/asterisk12-addons Makefile 
    net/astfax           Makefile 
    net/astmanproxy      Makefile 
    sysutils/slmon       Makefile 
    www/asterisk-gui     Makefile 
    www/asterisk-stat    Makefile 
    devel/libslang2      Makefile 
    japanese/slirc       Makefile 
  Removed files:
    devel/libslang       Makefile distinfo pkg-descr pkg-plist 
    devel/libslang/files patch-configure patch-src_Makefile.in 
  Log:
  - devel/libslang2 has completely replaced devel/libslang which has not been
    released in ~5yrs.
  
  - WITH_SLANG2 is now no longer a valid ports knob
  - WITH_SLANG implies devel/libslang2 now
  - devel/libslang -> devel/libslang2 is a SHARED LIB bump
    so bump PORTREVISION for affected ports
  
  - Take MAINTAINER for most unmaintained ports in this chain
  - some SF macro conversions
  
  - BROKEN with devel/libslang2 and DEPRECATE
      math/slsc (abandoned upstream)
  - BROKEN with devel/libslang2
      japanese/slirc
  
  PR:             ports/125255
  Reviewed by:    garga (libslang maintainer), portmgr (pav)
  Exp Run by:     pav
  
  Revision  Changes    Path
  1.88      +9 -1      ports/CHANGES
  1.1792    +2 -1      ports/MOVED
  1.771     +13 -1     ports/UPDATING
  1.10      +2 -2      ports/audio/timidity++-slang/Makefile
  1.12      +2 -2      ports/comms/hf/Makefile
  1.3358    +0 -1      ports/devel/Makefile
  1.14      +7 -5      ports/devel/gaul/Makefile
  1.5       +0 -1      ports/devel/gaul/pkg-plist
  1.48      +0 -61     ports/devel/libslang/Makefile (dead)
  1.20      +0 -6      ports/devel/libslang/distinfo (dead)
  1.3       +0 -36     ports/devel/libslang/files/patch-configure (dead)
  1.2       +0 -50     ports/devel/libslang/files/patch-src_Makefile.in (dead)
  1.5       +0 -19     ports/devel/libslang/pkg-descr (dead)
  1.20      +0 -9      ports/devel/libslang/pkg-plist (dead)
  1.23      +2 -2      ports/devel/libslang2/Makefile
  1.36      +2 -2      ports/devel/newt/Makefile
  1.17      +2 -6      ports/devel/ruby-slang/Makefile
  1.36      +4 -7      ports/editors/jed/Makefile
  1.37      +3 -3      ports/editors/lpe/Makefile
  1.11      +3 -3      ports/games/netspades/Makefile
  1.7       +3 -3      ports/irc/slirc/Makefile
  1.2       +91 -2     ports/irc/slirc/files/patch-slirc.c
  1.2       +178 -5    ports/irc/slirc/files/patch-vfile-module.c
  1.5       +1 -1      ports/japanese/asterisk-sound/Makefile
  1.27      +1 -1      ports/japanese/jed/Makefile
  1.6       +1 -1      ports/japanese/ruby-slang/Makefile
  1.3       +2 -0      ports/japanese/slirc/Makefile
  1.12      +1 -1      ports/japanese/timidity++-slang/Makefile
  1.11      +3 -3      ports/lang/harbour/Makefile
  1.5       +6 -1      ports/math/slsc/Makefile
  1.29      +4 -11     ports/misc/pdmenu/Makefile
  1.38      +1 -0      ports/misc/zaptel/Makefile
  1.13      +1 -1      ports/net/asterisk-addons/Makefile
  1.7       +1 -1      ports/net/asterisk-app-notify/Makefile
  1.10      +1 -1      ports/net/asterisk12-addons/Makefile
  1.82      +1 -0      ports/net/asterisk12/Makefile
  1.7       +2 -2      ports/net/astfax/Makefile
  1.7       +1 -1      ports/net/astmanproxy/Makefile
  1.26      +4 -5      ports/sysutils/slmon/Makefile
  1.14      +1 -1      ports/www/asterisk-gui/Makefile
  1.8       +1 -1      ports/www/asterisk-stat/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Philip M. Gollucci freebsd_committer 2009-02-08 03:14:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 14 dfilter freebsd_committer 2009-02-08 06:13:17 UTC
pgollucci    2009-02-08 06:13:01 UTC

  FreeBSD ports repository

  Modified files:
    devel/erlslang       Makefile 
  Log:
  - Fix the index
  - Mark broken doesn't compile with devel/libslang2
  
  PR:         ports/125255
  
  Revision  Changes    Path
  1.17      +5 -4      ports/devel/erlslang/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"